Section "ServerLayout"
	Identifier     "X.org Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/X11R6/lib/X11/fonts/misc"
	FontPath	"/usr/share/fonts/X11/cyrillic"
	FontPath	"/usr/X11R6/lib/X11/fonts/cyrillic"
	FontPath	"/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/Type1"
	FontPath	"/usr/X11R6/lib/X11/fonts/Type1"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi"
	# path to defoma fonts
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"

EndSection

Section "Module"
	Load  "xtrap"
	Load  "extmod"
	Load  "dbe"
	Load  "vgahw"
#	Load  "dri"
	Load  "record"
#	Load  "glx"
	Load  "type1"
	Load  "xaa"
	Load  "int10"
	Load  "ddc"
	Load  "i2c"
	Load  "vbe"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "auto"
#	Option	    "Device" "/dev/mouse"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5 6 7"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
	Option       "DPMS"
	HorizSync    30-70	#30-85
	VertRefresh  50-80	#40-75
	ModeLine     "640x480@60" 25.2 640 656 752 800 480 490 492 525
	ModeLine     "640x480@70" 31.5 640 664 704 832 480 489 492 520
	ModeLine     "640x480@72" 31.5 640 656 720 840 480 481 484 500
	ModeLine     "640x480@85" 36.0 640 696 752 832 480 481 484 509
	ModeLine     "800x480@60" 29.6 800 816 896 992 480 481 484 497
	ModeLine     "800x480@70" 35.8 800 832 912 1024 480 481 484 500
	ModeLine     "800x480@75" 38.5 800 832 912 1024 480 481 484 502
	ModeLine     "800x480@80" 44.6 800 840 920 1040 480 481 484 505
	ModeLine     "800x600@56" 36.0 800 824 896 1024 600 601 603 625
	ModeLine     "800x600@60" 40.0 800 840 968 1056 600 601 605 628
	ModeLine     "800x600@72" 50.0 800 856 976 1040 600 637 643 666
	ModeLine     "800x600@75" 49.5 800 816 896 1056 600 601 604 625
	ModeLine     "800x600@85" 56.2 800 832 896 1048 600 601 604 631
	ModeLine     "1024x768@60" 65.0 1024 1048 1184 1344 768 771 777 806
	ModeLine     "1024x768@70" 75.0 1024 1048 1184 1328 768 771 777 806
	ModeLine     "1024x768@75" 78.8 1024 1040 1136 1312 768 769 772 800
	ModeLine     "1024x768@85" 94.5 1024 1072 1168 1376 769 769 772 808
	ModeLine     "1024x600@60" 49.0 1024 1064 1168 1312 600 601 604 622
	ModeLine     "1024x600@70" 58.1 1024 1072 1176 1328 600 601 604 625
	ModeLine     "1024x600@75" 63.2 1024 1080 1184 1344 600 601 604 627
	ModeLine     "1024x600@85" 62.8 1024 1080 1192 1360 600 601 604 630
	ModeLine     "1280x960@60" 108.0 1280 1376 1488 1800 960 961 964 1000
	ModeLine     "1280x960@85" 148.5 1280 1344 1504 1728 960 961 964 1011
	ModeLine     "1280x1024@60" 108.0 1280 1328 1440 1680 1024 1025 1028 1066
	ModeLine     "1280x768@60" 80.1 1280 1344 1480 1680 768 769 772 795
	ModeLine     "1280x768@75" 103.0 1280 1360 1496 1712 768 768 771 802
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
        ### [arg]: arg optional
        Option     "pci_burst"          	"true"	# [<bool>]
        #Option     "fifo_conservative"  	# [<bool>]
        #Option     "fifo_moderate"      	# [<bool>]
        #Option     "fifo_aggressive"    	# [<bool>]
        #Option     "pci_retry"          	# [<bool>]
        #Option     "NoAccel"            	"true" # [<bool>]
        #Option     "set_mclk"           	"40000"  # <freq>
        #Option     "show_cache"         	# [<bool>]
        Option     "HWCursor"           	"True" # [<bool>]
        #Option     "SWCursor"           	"True" # [<bool>]
        #Option     "ShadowFB"           	# [<bool>]
        #Option     "Rotate"             	# [<str>]
        #Option     "VideoKey"           	# <i>
        #Option     "ByteSwap"           	# [<bool>]
        #Option     "Interlaced"         	# [<bool>]
        Option     "UseBIOS"            	"False" # [<bool>]
	#Option     "ZoomOnLCD"          	"true" # [<bool>]
	Identifier  "Card0"
	Driver      "siliconmotion"
	#Driver    	 "fbdev"
	VendorName  "Silicon Motion, Inc."
	BoardName   "SM712 LynxEM+"
	BusID       "PCI:0:8:0"
	#Option      "UseFBDev"		"true"
	
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
	DefaultDepth	16
	SubSection "Display"
	Viewport   0 0
		Depth     8
	#	modes		"1024x768" "800x600" "640x480"
        #	modes		"1024x768@75" 
		modes		"800x600@60"
		#modes		"800x480@60"
	#	modes		"640x480@60"
	EndSubSection
	SubSection "Display"
	#	Viewport   0 0
		Depth     16
        #	modes		"1024x768@75" 
	#	modes		"800x600@60"
		modes		"800x480@60"
		#modes		"640x480@60"
	EndSubSection
	SubSection "Display"
	#	Viewport   0 0
		Depth     24
	#	modes		"1024x768" "800x600" "640x480"
        #	modes		"1024x768@75" 
	#	modes		"800x600@60"
		modes		"800x480@60"
	#	modes		"640x480@60"
	EndSubSection
EndSection


